---

- name: (ansible_dependencies-centos-7) System updates 
  yum:
    name: '*'
    state: latest
    update_cache: yes
    #cache_valid_time: 3600
  tags:
    - yum-update

- name: Ensure python2 is present (This is necessary for ansible to work properly)
  raw: test -e /usr/bin/python2 || (yum -y install python2)

- name: Ensure python3 is present (This is necessary for ansible to work properly)
  raw: test -e /usr/bin/python3 || (yum install -y python3)

- name: yum install ansible dependencies
  yum:
    name: "{{ yum_ansible_dependencies }}"
    state: "{{ yum_install_state }}"
  tags:
    - ansible-dependencies

